Remove a service from the order
https://carchost.fieldcontrol.com.br/orders/{id}/services/{serviceId}Removes a service from the work order and recalculates the order totals.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredWork order identifier.
Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.
serviceIdstringrequiredService identifier (not the order item identifier).
Example: NmIzYWU1NGItN2IxNi00NzQ2LTg4ZmUtOGM2ZjY3YzlhOTMxOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 204
Removed. No body.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 404
Order does not exist or the service was not added to it. No body.
- 422
Invalid identifier in the path or one from another account (uriValidationErr), or invalid query parameter (parametersValidationErr). A valid identifier that does not exist returns 404.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.